NSX-T Data Center REST API
Update dfw firewall configuration
Update dfw firewall related configurations.Turning off distributed services ("enable_firewall": false) will turn off Distributed Firewall, Identity Firewall,
Distributed Intrusion Detection and Prevention Service, Distributed Load Balancer.
Request:
Method:
PUT
URI Path(s):
/policy/api/v1/infra/settings/firewall/security
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/settings/firewall/security
/policy/api/v1/orgs/{org-id}/projects/{project-id}/infra/settings/firewall/security
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
DfwFirewallConfiguration+
DfwFirewallConfiguration (schema)
| Name | Description | Type | Notes |
|---|---|---|---|
| _create_time | Timestamp of resource creation | EpochMsTimestamp | Readonly Sortable |
| _create_user | ID of the user who created this resource | string | Readonly |
| _last_modified_time | Timestamp of last modification | EpochMsTimestamp | Readonly Sortable |
| _last_modified_user | ID of the user who last modified this resource | string | Readonly |
| _links | References related to this resource The server will populate this field when returing the resource. Ignored on PUT and POST. |
array of ResourceLink | Readonly |
| _protection | Indicates protection status of this resource Protection status is one of the following: PROTECTED - the client who retrieved the entity is not allowed to modify it. NOT_PROTECTED - the client who retrieved the entity is allowed to modify it REQUIRE_OVERRIDE - the client who retrieved the entity is a super user and can modify it, but only when providing the request header X-Allow-Overwrite=true. UNKNOWN - the _protection field could not be determined for this entity. |
string | Readonly |
| _revision | Generation of this resource config The _revision property describes the current revision of the resource. To prevent clients from overwriting each other's changes, PUT operations must include the current _revision of the resource, which clients should obtain by issuing a GET operation. If the _revision provided in a PUT request is missing or stale, the operation will be rejected. |
int | |
| _schema | Schema for this resource | string | Readonly |
| _self | Link to this resource | SelfResourceLink | Readonly |
| _system_owned | Indicates system owned resource | boolean | Readonly |
| children | Subtree for this type within policy tree Subtree for this type within policy tree containing nested elements. Note that this type is applicable to be used in Hierarchical API only. |
array of ChildPolicyConfigResource (Abstract type: pass one of the following concrete types) ChildIdsSettings ChildPolicyExcludeList |
|
| description | Description of this resource | string | Maximum length: 1024 Sortable |
| disable_auto_drafts | Auto draft deactivate flag To deactivate auto drafts, set it to true. By default, auto drafts are enabled. |
boolean | Default: "False" |
| display_name | Identifier to use when displaying entity in logs or GUI Defaults to ID if not set |
string | Maximum length: 255 Sortable |
| enable_firewall | Firewall enable flag If set to true, Firewall is enabled. |
boolean | Default: "True" |
| enforce_duplicate_sequence_number_check | Enforce duplicate sequence number check flag If set to true, the system will prevent creation of new DFW policies when existing duplicate sequence numbers are detected (for policies with same scope and category). Users must first revise existing duplicates using the revise API before creating new policies. This only applies to DFW policies with "applied to Any" scope. |
boolean | Default: "False" |
| global_addrset_mode_enabled | A flag to indicate if global address set is enabled in DFW When this flag is set to true, global address set is enabled in Distributed Firewall. |
boolean | Default: "True" |
| global_macset_optimization_mode_enabled | Global MACSet Optimization Flag MACSet optimization is turned on when this flag is set to true. By default it is set to false. |
boolean | Default: "False" |
| id | Unique identifier of this resource | string | Sortable |
| idfw_enabled | Identity firewall enable flag If set to true, identity firewall is enabled. |
boolean | Default: "False" |
| idfw_event_log_scraper_enabled | Enable event log scraping This flag is deprecated. Use the alternate flag IdentityFirewallAdStore.event_log_scraper_enabled to enable or disable event log scraping for a given Firewall Identity Store. This flag is only available on local manager and it will be honoured only for Firewall Identity Store created on local manager. The event log scraping for locally created Firewall Identity Store will be enabled, if this flag OR per-domain IdentityFirewallAdStore.event_log_scraper_enabled flag is enabled. To switch off event log scraping for a Firewall Identity Store both this flag and the per-domain IdentityFirewallAdStore.event_log_scraper_enabled flag need to be disabled. This flag is not configurable via the UI. This flag will not effect Firewall Identity Store created on global manager. The event log scraping for globally created Firewall Identity Store will be enabled, if per-domain IdentityFirewallAdStore.event_log_scraper_enabled flag is enabled. |
boolean | Deprecated Default: "False" |
| idfw_loginsight_enabled | Enable Loginsight server for Identity Firewall If set to true, collection of login/logout events from Loginsight server is enabled. |
boolean | Default: "False" |
| marked_for_delete | Indicates whether the intent object is marked for deletion Intent objects are not directly deleted from the system when a delete is invoked on them. They are marked for deletion and only when all the realized entities for that intent object get deleted, the intent object is deleted. Objects that are marked for deletion are not returned in GET call. One can use the search API to get these objects. |
boolean | Readonly Default: "False" |
| origin_site_id | A unique identifier assigned by the system for knowing which site owns an object This is a UUID generated by the system for knowing which site owns an object. This is used in NSX+. |
string | Readonly |
| overridden | Indicates whether this object is the overridden intent object Global intent objects cannot be modified locally by the user. However, certain global intent objects can be overridden locally by use of this property. In such cases, the overridden local values take precedence over the globally defined values for the properties. |
boolean | Readonly Default: "False" |
| owner_id | A unique identifier assigned by the system for the ownership of an object This is a UUID generated by the system for knowing who owns this object. This is used in NSX+. |
string | Readonly |
| parent_path | Path of its parent Path of its parent |
string | Readonly |
| path | Absolute path of this object Absolute path of this object |
string | Readonly |
| realization_id | A unique identifier assigned by the system for realizing intent This is a UUID generated by the system for realizing the entity object. In most cases this should be same as 'unique_id' of the entity. However, in some cases this can be different because of entities have migrated their unique identifier to NSX Policy intent objects later in the timeline and did not use unique_id for realization. Realization id is helpful for users to debug data path to correlate the configuration with corresponding intent. |
string | Readonly |
| relative_path | Relative path of this object Path relative from its parent |
string | Readonly |
| remote_path | Path of the object on the remote end. This path is populated only in case of multi-site scenario. Currently it is supported only for LM objects. When LM is onboarded to multi-site platform like NAPP or GM, remote_path will be set to the globally unique path across multi-site topology . It is generated based on local site-name and uses /org tree namespace. Note: It is populated only for LM objects. Not supported on the GM. |
string | Readonly |
| resource_type | Must be set to the value DfwFirewallConfiguration | string | Required Enum: DfwFirewallConfiguration |
| tags | Opaque identifiers meaningful to the API user | array of Tag | Maximum items: 30 |
| unique_id | A unique identifier assigned by the system This is a UUID generated by the GM/LM to uniquely identify entities in a federated environment. For entities that are stretched across multiple sites, the same ID will be used on all the stretched sites. |
string | Readonly |
Example Request:
PUT https://<policy-mgr>/policy/api/v1/infra/settings/firewall/security { "idfw_enabled": true, "resource_type": "DfwFirewallConfiguration", "_revision": 1 }Successful Response:
Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
DfwFirewallConfiguration+
DfwFirewallConfiguration (schema)
| Name | Description | Type | Notes |
|---|---|---|---|
| _create_time | Timestamp of resource creation | EpochMsTimestamp | Readonly Sortable |
| _create_user | ID of the user who created this resource | string | Readonly |
| _last_modified_time | Timestamp of last modification | EpochMsTimestamp | Readonly Sortable |
| _last_modified_user | ID of the user who last modified this resource | string | Readonly |
| _links | References related to this resource The server will populate this field when returing the resource. Ignored on PUT and POST. |
array of ResourceLink | Readonly |
| _protection | Indicates protection status of this resource Protection status is one of the following: PROTECTED - the client who retrieved the entity is not allowed to modify it. NOT_PROTECTED - the client who retrieved the entity is allowed to modify it REQUIRE_OVERRIDE - the client who retrieved the entity is a super user and can modify it, but only when providing the request header X-Allow-Overwrite=true. UNKNOWN - the _protection field could not be determined for this entity. |
string | Readonly |
| _revision | Generation of this resource config The _revision property describes the current revision of the resource. To prevent clients from overwriting each other's changes, PUT operations must include the current _revision of the resource, which clients should obtain by issuing a GET operation. If the _revision provided in a PUT request is missing or stale, the operation will be rejected. |
int | |
| _schema | Schema for this resource | string | Readonly |
| _self | Link to this resource | SelfResourceLink | Readonly |
| _system_owned | Indicates system owned resource | boolean | Readonly |
| children | Subtree for this type within policy tree Subtree for this type within policy tree containing nested elements. Note that this type is applicable to be used in Hierarchical API only. |
array of ChildPolicyConfigResource (Abstract type: pass one of the following concrete types) ChildIdsSettings ChildPolicyExcludeList |
|
| description | Description of this resource | string | Maximum length: 1024 Sortable |
| disable_auto_drafts | Auto draft deactivate flag To deactivate auto drafts, set it to true. By default, auto drafts are enabled. |
boolean | Default: "False" |
| display_name | Identifier to use when displaying entity in logs or GUI Defaults to ID if not set |
string | Maximum length: 255 Sortable |
| enable_firewall | Firewall enable flag If set to true, Firewall is enabled. |
boolean | Default: "True" |
| enforce_duplicate_sequence_number_check | Enforce duplicate sequence number check flag If set to true, the system will prevent creation of new DFW policies when existing duplicate sequence numbers are detected (for policies with same scope and category). Users must first revise existing duplicates using the revise API before creating new policies. This only applies to DFW policies with "applied to Any" scope. |
boolean | Default: "False" |
| global_addrset_mode_enabled | A flag to indicate if global address set is enabled in DFW When this flag is set to true, global address set is enabled in Distributed Firewall. |
boolean | Default: "True" |
| global_macset_optimization_mode_enabled | Global MACSet Optimization Flag MACSet optimization is turned on when this flag is set to true. By default it is set to false. |
boolean | Default: "False" |
| id | Unique identifier of this resource | string | Sortable |
| idfw_enabled | Identity firewall enable flag If set to true, identity firewall is enabled. |
boolean | Default: "False" |
| idfw_event_log_scraper_enabled | Enable event log scraping This flag is deprecated. Use the alternate flag IdentityFirewallAdStore.event_log_scraper_enabled to enable or disable event log scraping for a given Firewall Identity Store. This flag is only available on local manager and it will be honoured only for Firewall Identity Store created on local manager. The event log scraping for locally created Firewall Identity Store will be enabled, if this flag OR per-domain IdentityFirewallAdStore.event_log_scraper_enabled flag is enabled. To switch off event log scraping for a Firewall Identity Store both this flag and the per-domain IdentityFirewallAdStore.event_log_scraper_enabled flag need to be disabled. This flag is not configurable via the UI. This flag will not effect Firewall Identity Store created on global manager. The event log scraping for globally created Firewall Identity Store will be enabled, if per-domain IdentityFirewallAdStore.event_log_scraper_enabled flag is enabled. |
boolean | Deprecated Default: "False" |
| idfw_loginsight_enabled | Enable Loginsight server for Identity Firewall If set to true, collection of login/logout events from Loginsight server is enabled. |
boolean | Default: "False" |
| marked_for_delete | Indicates whether the intent object is marked for deletion Intent objects are not directly deleted from the system when a delete is invoked on them. They are marked for deletion and only when all the realized entities for that intent object get deleted, the intent object is deleted. Objects that are marked for deletion are not returned in GET call. One can use the search API to get these objects. |
boolean | Readonly Default: "False" |
| origin_site_id | A unique identifier assigned by the system for knowing which site owns an object This is a UUID generated by the system for knowing which site owns an object. This is used in NSX+. |
string | Readonly |
| overridden | Indicates whether this object is the overridden intent object Global intent objects cannot be modified locally by the user. However, certain global intent objects can be overridden locally by use of this property. In such cases, the overridden local values take precedence over the globally defined values for the properties. |
boolean | Readonly Default: "False" |
| owner_id | A unique identifier assigned by the system for the ownership of an object This is a UUID generated by the system for knowing who owns this object. This is used in NSX+. |
string | Readonly |
| parent_path | Path of its parent Path of its parent |
string | Readonly |
| path | Absolute path of this object Absolute path of this object |
string | Readonly |
| realization_id | A unique identifier assigned by the system for realizing intent This is a UUID generated by the system for realizing the entity object. In most cases this should be same as 'unique_id' of the entity. However, in some cases this can be different because of entities have migrated their unique identifier to NSX Policy intent objects later in the timeline and did not use unique_id for realization. Realization id is helpful for users to debug data path to correlate the configuration with corresponding intent. |
string | Readonly |
| relative_path | Relative path of this object Path relative from its parent |
string | Readonly |
| remote_path | Path of the object on the remote end. This path is populated only in case of multi-site scenario. Currently it is supported only for LM objects. When LM is onboarded to multi-site platform like NAPP or GM, remote_path will be set to the globally unique path across multi-site topology . It is generated based on local site-name and uses /org tree namespace. Note: It is populated only for LM objects. Not supported on the GM. |
string | Readonly |
| resource_type | Must be set to the value DfwFirewallConfiguration | string | Required Enum: DfwFirewallConfiguration |
| tags | Opaque identifiers meaningful to the API user | array of Tag | Maximum items: 30 |
| unique_id | A unique identifier assigned by the system This is a UUID generated by the GM/LM to uniquely identify entities in a federated environment. For entities that are stretched across multiple sites, the same ID will be used on all the stretched sites. |
string | Readonly |